/**
 * Created by Kevin on 26.04.2017.
 */

document.getElementById("Title").addEventListener("click", function () {
    window.open("https://chrome.google.com/webstore/detail/productive-new-tab-materi/emmpodeiofjjjigcmaegnbfkhobclfgn")
});

document.getElementById("file-input").addEventListener("change", function () {
    var reader = new FileReader();
    reader.readAsText(document.getElementById("file-input").files[0]);
    reader.onloadend = function () {
        chrome.storage.local.set({'cards': JSON.parse(String(reader.result))});
    }
});

document.getElementById("Export").addEventListener('click', function () {
    chrome.storage.local.get(function (data) {
        var element = document.createElement('a');
        element.setAttribute('href', 'data:text/plain;charset=utf-8,' + encodeURIComponent(JSON.stringify(data.cards)));
        var d = new Date();
        element.setAttribute('download', "PRODUCTIVE New Tab - Settings_" + d.getDate() + "." + d.getMonth() + "." + (d.getYear() + 1900) + ".txt");
        element.style.display = 'none';
        document.body.appendChild(element);
        element.click();
        document.body.removeChild(element);
    });
});

document.getElementById("Report").addEventListener('click', function () {
    window.open('mailto:reportnewtabextension@kevinkreps.de?subject=Bugreport/Suggestion&body=Blah... ;)');
});