/**
 * Created by Kevin on 09.04.2017.
 */

chrome.storage.local.get(function (data) {
    var bookmarkIconLinks = data.bookmarkIconLinks;
    if (bookmarkIconLinks == undefined) {
        bookmarkIconLinks = [];
    }
    var currentUrl = window.location.href;
    var currentBookmarkIndex = undefined;
    for (var i3 = 0; i3 < bookmarkIconLinks.length; i3++) {
        if (currentUrl == bookmarkIconLinks[i3][0]) {
            currentBookmarkIndex = i3;
        }
    }
    if (currentBookmarkIndex !== undefined) {
        var icons = [];
        var perfectionLevel = 0;
        var outputLink = undefined;
        var arrLink = document.getElementsByTagName('link');
        if (arrLink.length > 0) {
            for (var i = 0; i < arrLink.length; i++) {
                if (typeof arrLink[i].rel !== 'undefined' && arrLink[i].rel.indexOf('icon') > -1) {
                    var size = "none";
                    if (typeof arrLink[i].sizes !== 'undefined') {
                        size = arrLink[i].sizes[0];
                    }
                    icons.push([arrLink[i].href, size]);
                }
            }
            if (icons.length > 0) {
                console.log(icons);
                for (var i2 = 0; i2 < icons.length; i2++) {
                    if (icons[i2][1] != undefined) {
                        console.log(icons[i2][1]);
                        if (parseInt(icons[i2][1].split('x')[0]) == 32) {
                            outputLink = icons[i2][0];
                            perfectionLevel = 4;
                        } else if (perfectionLevel < 3 && parseInt(icons[i2][1].split('x')[0]) > 32) {
                            outputLink = icons[i2][0];
                            perfectionLevel = 3;
                        } else if (perfectionLevel < 2 && parseInt(icons[i2][1].split('x')[0]) > 16) {
                            outputLink = icons[i2][0];
                            perfectionLevel = 2;
                        }
                    } else if (perfectionLevel == 0) {
                        outputLink = icons[i2][0];
                        perfectionLevel = 1;
                    }
                }
            }
        } else {
            //todo get url/favicon.ico
        }
        bookmarkIconLinks[currentBookmarkIndex][1] = outputLink;

        console.log(outputLink);
        chrome.storage.local.set({'bookmarkIconLinks': bookmarkIconLinks}, function () {
            console.log('Settings saved');
        });
    }
});